ABORT(3)

NAME
abort - generate a fault

SYNOPSIS
#include <stdlib.h>
void abort(void)

DESCRIPTION
Abort executes an instruction which is illegal in user mode. This causes a signal that normally terminates the process with a core dump, which may be used for debugging.

SEE ALSO
sigaction(2), exit(2).

DIAGNOSTICS
Usually ``abort - core dumped'' from the shell.

BUGS
The abort() function does not flush standard I/O buffers. Use fflush(3).